<?php

Route::group(['domain'=>env('MANAGE_DOMAIN'),'namespace'=>'App\Http\Controllers\Manage\OfficialAccount','prefix'=>'api','middleware'=>'ManageApiAuth'],function(){

    /**
    * 公众号
    */
    Route::any('OfficialAccount/day/sub/stat', 'DataController@get_list');

    //获取渠道下所有的服务号信息
    Route::any('OfficialAccount/allOfficialAccountBydistributionChannelId', 'OfficialAccountsController@allOfficialAccountBydistributionChannelId');

    //获取渠道的服务号数量
    Route::any('OfficialAccount/officialAccountCountByChannelId', 'OfficialAccountsController@officialAccountCountByChannelId');
    
    //获取模板客服消息，功能使用统计数据
    Route::any('OfficialAccount/customTemplateSendStats', 'CustomTemplateSendStatsController@customTemplateSendStats');
    
    //导出-模板客服消息，功能使用统计数据
    Route::any('OfficialAccount/exportCustomTemplateSendStats', 'CustomTemplateSendStatsController@exportCustomTemplateSendStats');
   
    //添加公共模板消息
    Route::any('OfficialAccount/add_public_templates', 'WeChatToolsController@add_public_templates');
    //检查并修改模板id
    Route::any('OfficialAccount/check_official_account_templates', 'WeChatToolsController@check_official_account_templates');
    //更新公众号菜单
    Route::any('OfficialAccount/update_encrypt_menus', 'WeChatToolsController@update_encrypt_menus');
    //取消公众号绑定
    Route::any('OfficialAccount/untie_distribution_official_account', 'WeChatToolsController@untie_distribution_official_account');
    
    
    //客服消息标题
    Route::get('OfficialAccount/getAllHeadlinesNoType', 'WeChatMaterialController@getAllHeadlinesNoType');
    //客服消息图片
    Route::get('OfficialAccount/getAllDocumentCovers', 'WeChatMaterialController@getAllDocumentCovers');

    Route::get('OfficialAccount/wechatPublicTemplateList', 'WeChatMaterialController@wechatPublicTemplateList');
    
    // 测试类
    Route::get('OfficialAccount/test', 'TestsController@test');
    

    /*****************智能推送托管*********************/
    //发送客服消息列表获取
    Route::any('OfficialAccount/customSendMsgsByTrusteeship', 'CustomMsgController@customSendMsgsByTrusteeship');
    //通过批次号获取客服消息列表
    Route::any('OfficialAccount/customSendMsgsByTrusteeshipAndBacthNo', 'CustomMsgController@customSendMsgsByTrusteeshipAndBacthNo');
    //通过ID获取指定客服消息
    Route::any('OfficialAccount/batchCustomMsgById', 'CustomMsgController@batchCustomMsgById');
    //获取批次客服消息列表
    Route::any('OfficialAccount/batchCustomMsgsList', 'CustomMsgController@batchCustomMsgsList');
    //批量更新客服消息
    Route::any('OfficialAccount/updateBatchCustomSendMsgStatusById', 'CustomMsgController@updateBatchCustomSendMsgStatusById');
    //批量添加客服消息
    Route::any('OfficialAccount/batchAddCustomSendMsgs', 'CustomMsgController@batchAddCustomSendMsgs');
    //测试发送客服消息
    Route::any('OfficialAccount/testAddCustomSendMsgs', 'CustomMsgController@testAddCustomSendMsgs');
    
    
    
});